//
//	File:	AboutBox.java
//

import java.awt.*;
import java.awt.event.*;
import java.util.Locale;
import java.util.ResourceBundle;
import javax.swing.*;

public class AboutBox extends JFrame implements ActionListener {
    protected JLabel titleLabel;
	protected JLabel[] aboutLabel= new JLabel[4];
    protected static int labelCount = 8;
    protected static int aboutWidth = 280;
    protected static int aboutHeight = 400;
    protected static int aboutTop = 200;
    protected static int aboutLeft = 350;
    protected Font titleFont, bodyFont;
    protected ResourceBundle resbundle;
	protected ImageIcon ic = new ImageIcon(getClass().getResource("DL Halo.jpg"));
    public AboutBox() {
        super("");
        this.setResizable(false);
        SymWindow aSymWindow = new SymWindow();
        this.addWindowListener(aSymWindow);	
		
        // Initialize useful fonts
        titleFont = new Font("Lucida Grande", Font.BOLD, 14);
        if (titleFont == null) {
            titleFont = new Font("SansSerif", Font.BOLD, 14);
        }
        bodyFont  = new Font("Lucida Grande", Font.PLAIN, 10);
        if (bodyFont == null) {
            bodyFont = new Font("SansSerif", Font.PLAIN, 10);
        }
		
        this.getContentPane().setLayout(new BorderLayout(15, 15));
	
        aboutLabel[0] = new JLabel("Streetlight Halo");
        aboutLabel[0].setFont(titleFont);
        aboutLabel[1] = new JLabel("1.0");
        aboutLabel[1].setFont(bodyFont);
		aboutLabel[2] = new JLabel("JDK 1.5");
        aboutLabel[2].setFont(bodyFont);
        aboutLabel[3] = new JLabel("Copyright Lars Gislen 2009");
        aboutLabel[3].setFont(bodyFont);
 		
		JLabel aboutLabelIc = new JLabel(ic);
		Panel textPanel1 = new Panel(new GridLayout(2, 1));
        for (int i = 0; i<2; i++) {
            aboutLabel[i].setHorizontalAlignment(JLabel.CENTER);
            textPanel1.add(aboutLabel[i]);
        }
        this.getContentPane().add (textPanel1, BorderLayout.NORTH);
		this.getContentPane().add(aboutLabelIc,BorderLayout.CENTER);
		Panel textPanel2 = new Panel(new GridLayout(2, 1));
		for (int i = 2; i<4; i++) {
            aboutLabel[i].setHorizontalAlignment(JLabel.CENTER);
            textPanel2.add(aboutLabel[i]);
        }
		this.getContentPane().add (textPanel2, BorderLayout.SOUTH);
        this.pack();
        this.setLocation(aboutLeft, aboutTop);
        this.setSize(aboutWidth, aboutHeight);
    }

    class SymWindow extends java.awt.event.WindowAdapter {
	    public void windowClosing(java.awt.event.WindowEvent event) {
		    setVisible(false);
	    }
    }
    
    public void actionPerformed(ActionEvent newEvent) {
        setVisible(false);
    }		
}