//
//	File:	PrefPane.java
//

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class PrefPane extends JFrame {
	protected JPanel panel = new JPanel();
 	protected JRadioButton ce = new JRadioButton("Cross-Eyed", true);
	protected JRadioButton no = new JRadioButton("Normal", false);
	protected JRadioButton bs = new JRadioButton("Black Sky", true);
	protected JRadioButton ws = new JRadioButton("White Sky",false);
	protected ButtonGroup bg1 = new ButtonGroup();
	protected ButtonGroup bg2 = new ButtonGroup();
	protected JButton okButton = new JButton("OK");
	
	ActionListener al = new ActionListener() {
		public void actionPerformed(ActionEvent e) {
			if (e.getSource() == okButton) setVisible(false);
			else if (e.getSource() == ce) Halo.crossEyed = true;
			else if (e.getSource() == no) Halo.crossEyed = false;
			else if (e.getSource() == bs) Halo.blackSky = true;
			else if (e.getSource() == ws) Halo.blackSky = false;
		}
	};
	
    public PrefPane()
    {
		super();
		this.setLayout(new BorderLayout());
		this.add(panel, BorderLayout.CENTER);
       // this.getContentPane().setLayout(new BorderLayout(10, 10));
        this.setTitle("Stereo Preferences");
        panel.setLayout(new GridLayout(2,2));
 		panel.add(ce);
		panel.add(no);
		panel.add(bs);
		panel.add(ws);
		bg1.add(ce); bg1.add(no);
 		bg2.add(bs); bg2.add(ws);
		this.add(okButton, BorderLayout.SOUTH);
        okButton.addActionListener(al); 
        ce.addActionListener(al); 
        no.addActionListener(al); 
        bs.addActionListener(al); 
        ws.addActionListener(al); 
		
		setSize(250, 100);
		setLocation(20, 40);
    }
}